curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}'
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "minimax_h3_turbo",
"params": {
"prompt": "Create a polished ecommerce product video with consistent product appearance and cinematic motion",
"image_url": [
"https://example.com/product-front.jpg",
"https://example.com/product-lifestyle.jpg"
],
"audio_url": [
"https://example.com/voice-reference.mp3"
],
"video_length": 8,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_reference_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "minimax_h3_turbo",
params: {
prompt: "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
video_length: 5,
resolution: "720p",
aspect_ratio: "16:9"
},
out_task_id: "minimax_h3_turbo_text_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "minimax_h3_turbo",
"params": map[string]interface{}{
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9",
},
"out_task_id": "minimax_h3_turbo_text_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "minimax_h3_turbo",
"params" => [
"prompt" => "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length" => 5,
"resolution" => "720p",
"aspect_ratio" => "16:9"
],
"out_task_id" => "minimax_h3_turbo_text_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "minimax_h3_turbo",
params: {
prompt: "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
video_length: 5,
resolution: "720p",
aspect_ratio: "16:9"
},
out_task_id: "minimax_h3_turbo_text_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "minimax_h3_turbo",
"params": [
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
],
"out_task_id": "minimax_h3_turbo_text_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""minimax_h3_turbo"",
""params"": {
""prompt"": ""A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot"",
""video_length"": 5,
""resolution"": ""720p"",
""aspect_ratio"": ""16:9""
},
""out_task_id"": ""minimax_h3_turbo_text_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"minimax_h3_turbo\",\"params\":{\"prompt\":\"A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot\",\"video_length\":5,\"resolution\":\"720p\",\"aspect_ratio\":\"16:9\"},\"out_task_id\":\"minimax_h3_turbo_text_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"minimax_h3_turbo",
@"params": @{
@"prompt": @"A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
@"video_length": @5,
@"resolution": @"720p",
@"aspect_ratio": @"16:9"
},
@"out_task_id": @"minimax_h3_turbo_text_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "minimax_h3_turbo",
params = list(
prompt = "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
video_length = 5,
resolution = "720p",
aspect_ratio = "16:9"
),
out_task_id = "minimax_h3_turbo_text_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "minimax_h3_turbo_text_123456",
"status": "pending",
"created_at": "2026-09-17T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "リクエストパラメータが無効です",
"ok": false
}
{
"error": {
"code": 401,
"message": "認証に失敗しました。APIキーを確認してください"
}
}
{
"error": {
"code": 433,
"message": "アカウントの残高が不足しています。チャージしてからもう一度お試しください"
}
}
{
"error": {
"code": 500,
"message": "サーバー内部エラーが発生しました。しばらくしてからもう一度お試しください"
}
}
MiniMax H3
MiniMax H3 Turbo 動画生成
- MiniMax H3 Turbo、MiniMax H3 の高速版
- 非同期処理モード、後続のクエリ用にタスク ID を返却
- テキストからの動画生成、および最大 9 枚の参照画像・3 本の参照音声に対応
- 480P / 720P 出力に対応、動画の長さは 5〜15 秒、デフォルトでネイティブ音声トラック付き
POST
/
api
/
openapi
/
submit
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}'
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "minimax_h3_turbo",
"params": {
"prompt": "Create a polished ecommerce product video with consistent product appearance and cinematic motion",
"image_url": [
"https://example.com/product-front.jpg",
"https://example.com/product-lifestyle.jpg"
],
"audio_url": [
"https://example.com/voice-reference.mp3"
],
"video_length": 8,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_reference_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "minimax_h3_turbo",
params: {
prompt: "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
video_length: 5,
resolution: "720p",
aspect_ratio: "16:9"
},
out_task_id: "minimax_h3_turbo_text_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "minimax_h3_turbo",
"params": map[string]interface{}{
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9",
},
"out_task_id": "minimax_h3_turbo_text_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "minimax_h3_turbo",
"params" => [
"prompt" => "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length" => 5,
"resolution" => "720p",
"aspect_ratio" => "16:9"
],
"out_task_id" => "minimax_h3_turbo_text_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "minimax_h3_turbo",
params: {
prompt: "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
video_length: 5,
resolution: "720p",
aspect_ratio: "16:9"
},
out_task_id: "minimax_h3_turbo_text_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "minimax_h3_turbo",
"params": [
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
],
"out_task_id": "minimax_h3_turbo_text_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""minimax_h3_turbo"",
""params"": {
""prompt"": ""A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot"",
""video_length"": 5,
""resolution"": ""720p"",
""aspect_ratio"": ""16:9""
},
""out_task_id"": ""minimax_h3_turbo_text_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"minimax_h3_turbo\",\"params\":{\"prompt\":\"A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot\",\"video_length\":5,\"resolution\":\"720p\",\"aspect_ratio\":\"16:9\"},\"out_task_id\":\"minimax_h3_turbo_text_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"minimax_h3_turbo",
@"params": @{
@"prompt": @"A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
@"video_length": @5,
@"resolution": @"720p",
@"aspect_ratio": @"16:9"
},
@"out_task_id": @"minimax_h3_turbo_text_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "minimax_h3_turbo",
params = list(
prompt = "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
video_length = 5,
resolution = "720p",
aspect_ratio = "16:9"
),
out_task_id = "minimax_h3_turbo_text_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "minimax_h3_turbo_text_123456",
"status": "pending",
"created_at": "2026-09-17T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "リクエストパラメータが無効です",
"ok": false
}
{
"error": {
"code": 401,
"message": "認証に失敗しました。APIキーを確認してください"
}
}
{
"error": {
"code": 433,
"message": "アカウントの残高が不足しています。チャージしてからもう一度お試しください"
}
}
{
"error": {
"code": 500,
"message": "サーバー内部エラーが発生しました。しばらくしてからもう一度お試しください"
}
}
MiniMax H3 Turbo の AIReiter におけるモデル名は
minimax_h3_turbo です。このモデルは minimax_h3 と異なり、解像度は 480P / 720P、長さは 5〜15秒で、参照動画および開始・終了フレームには対応していません。Authorizations
string
必須
すべてのAPIで Bearer Token による認証が必要です。API Key の取得:API Key 管理ページにアクセスして API Key を取得してください。使用時はリクエストヘッダーに以下を追加します:
Authorization: Bearer YOUR_API_KEY
Body
string
必須
モデル名。以下を固定で使用します:
minimax_h3_turbo
object
必須
モデルパラメータオブジェクト。
表示 params オブジェクトプロパティ
表示 params オブジェクトプロパティ
string
必須
動画生成用のテキストプロンプト(説明文)。被写体、シーン、カメラワーク、アクション、スタイル、ライティング、テンポなどを記述できます。参照素材を使用する場合、プロンプト内で「図1 / 音声1」のように順番に指定してアップロードした内容を参照できます。
number
デフォルト:"5"
生成する動画の長さ(秒単位)。サポートされている整数:
5 〜 15。string
デフォルト:"720p"
出力解像度:
480p720p- デフォルト値
string
デフォルト:"16:9"
動画のアスペクト比。サポートされているアスペクト比:
21:9- ウルトラワイド16:9- 横向き、デフォルト値4:3- 標準横向き3:2- 写真横向き1:1- 正方形3:4- 標準縦向き2:3- 写真縦向き9:16- 縦向き
string | string[]
参照画像の URL(オプション)。最大 9 枚。画像を指定しない場合はテキストから動画を生成(Text-to-Video)し、画像を指定した場合は被写体、スタイル、または構図をガイドする参照画像として機能します。画像の要件:
- JPEG、PNG、WEBP に対応
- 1枚あたり最大 20MB
- 公開アクセス可能な URL である必要があります
string | string[]
参照音声の URL(オプション)。最大 3 つ。音声の要件:
- MP3、WAV に対応
- 1ファイルあたり最大 20MB
- 1ファイルあたりの長さは 15 秒以下
- 公開アクセス可能な URL である必要があります
string
必須
リクエスト元のタスク ID。ユーザー定義のタスク識別子(必須)。後でこの ID を使用してタスクのステータスと結果を照会できます。
Response
string
リクエスト元のタスクID。結果の照会に使用できます。
string
初期ステータス。通常は
"pending" です。string
作成日時(ISO形式)。
Query Task
MiniMax H3 Turbo は非同期動画生成モデルです。タスクの送信後、out_task_id を使用してタスクのステータスを照会してください。
string
必須
タスク送信時に渡された送信元のタスク ID。
curl --request POST \
--url https://aireiter.com/api/openapi/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"out_task_id": "minimax_h3_turbo_task_123456"
}'
output フィールドに生成結果が含まれます。動画の URL は output.list[].video にあります。
Request Examples
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}'
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "minimax_h3_turbo",
"params": {
"prompt": "Create a polished ecommerce product video with consistent product appearance and cinematic motion",
"image_url": [
"https://example.com/product-front.jpg",
"https://example.com/product-lifestyle.jpg"
],
"audio_url": [
"https://example.com/voice-reference.mp3"
],
"video_length": 8,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_reference_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "minimax_h3_turbo",
params: {
prompt: "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
video_length: 5,
resolution: "720p",
aspect_ratio: "16:9"
},
out_task_id: "minimax_h3_turbo_text_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "minimax_h3_turbo",
"params": map[string]interface{}{
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9",
},
"out_task_id": "minimax_h3_turbo_text_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "minimax_h3_turbo",
"params" => [
"prompt" => "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length" => 5,
"resolution" => "720p",
"aspect_ratio" => "16:9"
],
"out_task_id" => "minimax_h3_turbo_text_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "minimax_h3_turbo",
params: {
prompt: "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
video_length: 5,
resolution: "720p",
aspect_ratio: "16:9"
},
out_task_id: "minimax_h3_turbo_text_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "minimax_h3_turbo",
"params": [
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
],
"out_task_id": "minimax_h3_turbo_text_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""minimax_h3_turbo"",
""params"": {
""prompt"": ""A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot"",
""video_length"": 5,
""resolution"": ""720p"",
""aspect_ratio"": ""16:9""
},
""out_task_id"": ""minimax_h3_turbo_text_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"minimax_h3_turbo\",\"params\":{\"prompt\":\"A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot\",\"video_length\":5,\"resolution\":\"720p\",\"aspect_ratio\":\"16:9\"},\"out_task_id\":\"minimax_h3_turbo_text_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"minimax_h3_turbo",
@"params": @{
@"prompt": @"A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
@"video_length": @5,
@"resolution": @"720p",
@"aspect_ratio": @"16:9"
},
@"out_task_id": @"minimax_h3_turbo_text_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "minimax_h3_turbo",
"params": {
"prompt": "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
"video_length": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
},
"out_task_id": "minimax_h3_turbo_text_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "minimax_h3_turbo",
params = list(
prompt = "A lone traveler walks along a windswept cliff at golden hour, cinematic tracking shot",
video_length = 5,
resolution = "720p",
aspect_ratio = "16:9"
),
out_task_id = "minimax_h3_turbo_text_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "minimax_h3_turbo_text_123456",
"status": "pending",
"created_at": "2026-09-17T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "リクエストパラメータが無効です",
"ok": false
}
{
"error": {
"code": 401,
"message": "認証に失敗しました。APIキーを確認してください"
}
}
{
"error": {
"code": 433,
"message": "アカウントの残高が不足しています。チャージしてからもう一度お試しください"
}
}
{
"error": {
"code": 500,
"message": "サーバー内部エラーが発生しました。しばらくしてからもう一度お試しください"
}
}
Mode Notes
image_url を渡さない場合はテキストからの動画生成となります。参照画像を渡した場合、画像は被写体、スタイル、構図のガイドとして使用され、開始・終了フレームではありません。本モデルは参照動画に対応しておらず、
first_last_frame 首尾フレームモードもサポートしていません。video_url、end_image_url、type、または quality を渡さないでください。